# Cool dns 

A simple dns server written in Go. It supports zonefile parsing, different zones based on IP and forwarding. 

# Configuration

Example config file
```yaml
zones:                      
- zone: example.com.        # Fully qualified domain name of the zone
  file: zonefile.txt        # Path to the zonefile to parse

- zone: example.com.
  file: zonefile2.txt
  acl:                      # What IPs can query the zone
    - lan

acl:                        # List of ip filter rules
- name: vpn                 # Name of the rule
  cidr: 10.0.0.0/24         # CIDR of the rule
- name: lan
  cidr: 192.168.0.0/16
- name: local
  cidr: 127.0.0.1/32

forward:
  acl:                      # What IPs are allowed
    - vpn
  server: "8.8.8.8:53"      # DNS server to forward to

address: 0.0.0.0:8053       # What address and port to listen on
```